{{ define "content" }}

<div class="container">

  {{template "breadcrumb" toSlice "Classi" (all "Class") (.Data|string) "current"}}
  {{template "show_header" dict "title" (.Data|string) "updatePath" (.Data.ID|update "Class") "deletePath" (.Data.ID|delete "Class")}}

  <h2 class="karmen-relation-header">Informazioni generali</h2>
  
  <p>Questa classe appartiene all'indirizzo <strong>{{.Data.Field}}</strong>.</p>

  {{if .Data.Coordinator}}
  <p>Il coordinatore è il docente {{(.Data.Coordinator.ID|show "Teacher")|anchor (.Data.Coordinator|string)}}.
    {{else}}
  <p>Alla classe non è associato nessun coordinatore. Clicca {{(.Data.ID|update "Class")|anchor "qui"}} per associare un coordinatore alla classe.</p>
  {{end}}

  {{if .Data.Minuter}}
  <p>Il verbalizzante è il docente {{(.Data.Minuter.ID|show "Teacher")|anchor (.Data.Minuter|string)}}.
    {{else}}
  <p>Alla classe non è associato nessun verbalizzante. Clicca {{(.Data.ID|update "Class")|anchor "qui"}} per associare un verbalizzante alla classe.</p>
  {{end}}

  <div class="row">
    <div class="col-md-12">

      {{$options := `
      title: "Attività associate alla classe"
      model: "Activity"
      icon: "fa fa-business-time"
      `}}
      
      {{$noElements := "Nessuna attività associata alla classe."}}
      {{template "relation_list" dict "options" ($options|yaml) "data" .Data.Activities "noElements" $noElements "small" (toSlice "Teacher")}}
    
    </div>
  </div>
  
</div>    

{{ end }}
